Admin A P I
Install extension
Installs an uploaded .pteroext or .zip extension package.
POST
/api/admin/extensionsAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/admin/extensions" \ -F package="string"{ "data": { "id": "example-extension", "name": "Example Extension", "version": "1.0.0", "description": "Example extension", "author": "Pterodactyl", "provider": "ExampleExtension\\Provider", "has_ui": true, "ui_entry": "dist/client.js", "ui_mode": "native", "frontend_entry": "/assets/extensions/example-extension/client.js?v=100", "installed": true, "enabled": true, "state": "enabled", "error": null }}